Processing preconfigured algorithms python error
Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23042

Description

    -  create a preconfigured algorithm, and save it

    -  try open it

    -  see messages below

tagging as severe as is a new feature not working as expected.

super-class __init__() of type QgsVectorLayer was never called See log for more details

2016-06-22T07:41:21    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 199, in execute

                self.resolveTemporaryOutputs()

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 368, in resolveTemporaryOutputs

                setTempOutput(out, self)

              File "/usr/share/qgis/python/plugins/processing/tools/system.py", line 78, in setTempOutput

                ext = out.getDefaultFileExtension(alg)

              File "/usr/share/qgis/python/plugins/processing/core/outputs.py", line 277, in getDefaultFileExtension

                if self.hasGeometry():

              File "/usr/share/qgis/python/plugins/processing/core/outputs.py", line 261, in hasGeometry

                return dataobjects.canUseVectorLayer(self.base_layer, [-1])

              File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 95, in canUseVectorLayer

                if layer.type() == QgsMapLayer.VectorLayer and layer.dataProvider().name() != "grass":

            RuntimeError: super-class __init__() of type QgsVectorLayer was never called

Associated revisions

Revision 47eae586 - 2016-07-05 07:32 PM - Martin Dobias

[processing] Fix preconfigured alg creation (fixes #15100)

History

#1 - 2016-07-05 05:19 AM - Martin Dobias

It seems like this is the case only after adding the first preconf algorithm, it also breaks the original geoalgorithm. After restart of QGIS things seem to work

fine again...

#2 - 2016-07-05 10:46 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"47eae5865abf4cb835071308220b90600212c78d".
